Odoo中文社区可以通过以下两个域名访问:shine-it.net , odoo.net.cn

由于系统升迁的原因,本论坛部分较早期的内容存在格式和链接损坏失效的问题,并非本论坛系统本身的缺陷,望谅解

本社区没有维护任何QQ群讨论组,任何与本社区同名的QQ群讨论组的言论与本社区无关!

开发人员可以登录gitter讨论组: http://gitter.im/odoo-china/Talk, 需要github账号

如果您登录系统碰到问题,请在微信公众号留言:

PostgreSQL for OpenERP这个服务无法启动



  • 进入登陆界面后,报如下错误
    OpenErp
    Your version of OpenERP is unsupported. Support & maintenance services are available here: OpenERP Entreprise.
    OpenERP Server Error
    Client Traceback (most recent call last):
      File "C:\Program Files (x86)\OpenERP 6.1-20120814-233345\Server\server\openerp\addons\web\common\http.py", line 180, in dispatch
      File "C:\Program Files (x86)\OpenERP 6.1-20120814-233345\Server\server\openerp\addons\web\controllers\main.py", line 356, in get_list
      File "C:\Program Files (x86)\OpenERP 6.1-20120814-233345\Server\server\openerp\addons\web\common\openerplib\main.py", line 117, in proxy
      File "C:\Program Files (x86)\OpenERP 6.1-20120814-233345\Server\server\openerp\addons\web\common\http.py", line 608, in send


    Server Traceback (most recent call last):
      File "C:\Program Files (x86)\OpenERP 6.1-20120814-233345\Server\server\openerp\addons\web\common\http.py", line 593, in send
      File "C:\Program Files (x86)\OpenERP 6.1-20120814-233345\Server\server.\openerp\netsvc.py", line 360, in dispatch_rpc
      File "C:\Program Files (x86)\OpenERP 6.1-20120814-233345\Server\server.\openerp\service\web_services.py", line 117, in dispatch
      File "C:\Program Files (x86)\OpenERP 6.1-20120814-233345\Server\server.\openerp\service\web_services.py", line 323, in exp_list
      File "C:\Program Files (x86)\OpenERP 6.1-20120814-233345\Server\server.\openerp\sql_db.py", line 465, in cursor
      File "C:\Program Files (x86)\OpenERP 6.1-20120814-233345\Server\server.\openerp\sql_db.py", line 173, in init
      File "C:\Program Files (x86)\OpenERP 6.1-20120814-233345\Server\server.\openerp\sql_db.py", line 366, in _locked
      File "C:\Program Files (x86)\OpenERP 6.1-20120814-233345\Server\server.\openerp\sql_db.py", line 421, in borrow
    OperationalError: FATAL:  password authentication failed for user "openpg"

    点OK后,又弹出如下错误
    OpenErp Client
    Your version of OpenERP is unsupported. Support & maintenance services are available here: OpenERP Entreprise.
    Script error.

    到服务器上看,是postgreSQL for OpenERP这个服务无法启动,请各位前辈指教。

    需要从新安装吗?
    如果从新安装,以前的配置能保留吗?
    数据库中的数据能怎么办啊?



  • password authentication failed for user "openpg"
    ~~~~~~~~~~~~~~~~~~~~~~~~~~~

    错误信息明明白白



  • 安装时,需要停用你的杀毒软件,防火墙等。Openerp-server没有列入服务中,postgresql的服务依赖于openerp 貌似!



  • 这个密码从来就没有改过啊,用pgAdmin工具连接,服务无法启动,再连接提示server doesn't listen



  • [quote [email protected] link=topic=4548.msg12630#msg12630 date=1355274419]
    安装时,需要停用你的杀毒软件,防火墙等。Openerp-server没有列入服务中,postgresql的服务依赖于openerp 貌似!
    [/quote]

    机器上没有杀毒软件,和防火墙,安装时是allone安装的,现在单独按一个postgresql,不知道怎么连到openerp


Log in to reply